Buscar evento
curl --request GET \
--url https://api.juridiq.com.br/event/{id} \
--header 'x-juridiq-api-key: <api-key>'import requests
url = "https://api.juridiq.com.br/event/{id}"
headers = {"x-juridiq-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-juridiq-api-key': '<api-key>'}};
fetch('https://api.juridiq.com.br/event/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.juridiq.com.br/event/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-juridiq-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.juridiq.com.br/event/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-juridiq-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.juridiq.com.br/event/{id}")
.header("x-juridiq-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.juridiq.com.br/event/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-juridiq-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"title": "<string>",
"initialHour": "<string>",
"finalHour": "<string>",
"date": "<string>",
"allDay": true,
"location": "<string>",
"isPrivate": true,
"points": 123,
"lawSuitId": "<string>",
"personIds": [
"<string>"
],
"persons": [
{
"id": "<string>",
"name": "<string>"
}
],
"personId": "<string>",
"person": {
"id": "<string>",
"name": "<string>"
},
"responsible": [
{
"id": "<string>",
"name": "<string>",
"avatar": "<string>"
}
],
"consultingId": "<string>",
"consulting": {
"id": "<string>",
"subject": "<string>"
}
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}Events
Buscar evento
GET
/
event
/
{id}
Buscar evento
curl --request GET \
--url https://api.juridiq.com.br/event/{id} \
--header 'x-juridiq-api-key: <api-key>'import requests
url = "https://api.juridiq.com.br/event/{id}"
headers = {"x-juridiq-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-juridiq-api-key': '<api-key>'}};
fetch('https://api.juridiq.com.br/event/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.juridiq.com.br/event/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-juridiq-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.juridiq.com.br/event/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-juridiq-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.juridiq.com.br/event/{id}")
.header("x-juridiq-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.juridiq.com.br/event/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-juridiq-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"title": "<string>",
"initialHour": "<string>",
"finalHour": "<string>",
"date": "<string>",
"allDay": true,
"location": "<string>",
"isPrivate": true,
"points": 123,
"lawSuitId": "<string>",
"personIds": [
"<string>"
],
"persons": [
{
"id": "<string>",
"name": "<string>"
}
],
"personId": "<string>",
"person": {
"id": "<string>",
"name": "<string>"
},
"responsible": [
{
"id": "<string>",
"name": "<string>",
"avatar": "<string>"
}
],
"consultingId": "<string>",
"consulting": {
"id": "<string>",
"subject": "<string>"
}
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-juridiq-api-key. A API aberta aplica rate limit por chave (veja a documentação de integradores).
Path Parameters
ID do evento
Response
Default Response
ID do evento
Título
Hora inicial
Hora final
Data
Dia inteiro
Local
Evento privado
Pontos
ID do processo
IDs das pessoas
Pessoas vinculadas
Show child attributes
Show child attributes
ID da pessoa (fallback)
Primeira pessoa vinculada (compatibilidade)
Show child attributes
Show child attributes
Responsáveis
Show child attributes
Show child attributes
ID do card do CRM
Card do CRM vinculado
Show child attributes
Show child attributes

